%define upstream_name MouseX-App-Cmd
%define upstream_version 0.30

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 4

Summary:	Mashes up MouseX::Getopt and App::Cmd
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module/MouseX/%{upstream_name}-%{upstream_version}.tar.gz
# Restore compatibility with App-Cmd-0.328, bug #1268805, CPAN RT #107068
Patch0:         MouseX-App-Cmd-0.30-Restore-compatibility-with-App-Cmd-0.328.patch

BuildRequires:	perl(App::Cmd::Command)
BuildRequires:	perl(Mouse)
BuildRequires:	perl(MouseX::Getopt)
BuildRequires:  perl(MooseX::NonMoose)
BuildRequires:  perl(MouseX::NonMoose)
BuildRequires:	perl(namespace::autoclean)
BuildRequires:	perl(Test::Output)

BuildArch:	noarch

%description
Mashes up MouseX::Getopt and App::Cmd.

%prep
%autosetup -n %{upstream_name}-%{upstream_version} -p1

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.300.0-4.mga6
+ Revision: 1030732
- Rebuild for perl 5.22.2

* Thu Mar 24 2016 tv <tv> 0.300.0-3.mga6
+ Revision: 995116
- BR perl(MouseX::NonMoose)
- add build fix from FC
- BR perl(Test::Output)

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Sun Jul 05 2015 sander85 <sander85> 0.300.0-1.mga6
+ Revision: 850755
- imported package perl-MouseX-App-Cmd


* Thu Jun 30 2011 cpan2dist 0.08-1mga
- initial mageia release, generated with cpan2dist
